﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TelerikNews.ascx.cs" Inherits="Dock_Common_TelerikNews" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
        <telerik:RadListView ID="RadListView1" DataSourceID="xmlDataSource1" runat="server"
            ItemPlaceholderID="NewsContainer" PageSize="3" AllowPaging="true" Skin="Black">
            <LayoutTemplate>
                <asp:Panel ID="PanelNews" Width="100%" runat="server">
                    <asp:PlaceHolder ID="NewsContainer" runat="server"/>
                   <div style="text-align:center;padding-top:10px">
                        <asp:LinkButton  runat="server" ID="btnPrev" CommandName="Page" CommandArgument="Prev"
                            Text="Prev" Enabled="<%#Container.CurrentPageIndex > 0 %>" />
                        <span style="vertical-align: top; position: relative;">
                            <%#Container.CurrentPageIndex + 1 %>
                            of
                            <%#Container.PageCount %></span>
                        <asp:LinkButton runat="server" ID="btnNext" CommandName="Page" CommandArgument="Next"
                            Text="Next" Enabled="<%#Container.CurrentPageIndex + 1 < Container.PageCount %>" />
                    </div>
                </asp:Panel>
            </LayoutTemplate>
            <ItemTemplate>
                <fieldset>
                    <legend style="margin-left:10px"><%# System.DateTime.Parse(XPath("pubDate").ToString()).ToString("dd/MMM/yyyy") %></legend>
                    <div style="width: 100%;">
                        <a href='<%# XPath("link") %>'>
                            <%# System.Web.HttpUtility.HtmlEncode(XPath("title").ToString())%>
                        </a>
                    </div>
                </fieldset>
            </ItemTemplate>
        </telerik:RadListView>
        <asp:XmlDataSource ID="xmlDataSource1" XPath="rss/channel/item" runat="server" DataFile="http://www.telerik.com/company/press-center/company-news.rss">
        </asp:XmlDataSource>
        </ContentTemplate>
</asp:UpdatePanel>
    